CREATE TABLE fun_catalog_object_usages (
    USAGE_ID                  NUMBER(18, 0) ,
    CONSUMER_ID               NUMBER(18, 0)     NOT NULL,
    SOURCE_ID                 NUMBER(18, 0)     NOT NULL,
    SOURCE_TYPE_CODE          VARCHAR2(120)     NOT NULL,
    CONSUMER_TYPE_CODE        VARCHAR2(120)     NOT NULL,
    ATTRIBUTE_LIST            BLOB          ,
    SORT_BY                   VARCHAR2(256) ,
    FILTER_CONDITION          VARCHAR2(4000),
    EXTRACT_REGISTRED_FLAG    VARCHAR2(4)   ,
    ENABLED_FLAG              VARCHAR2(4)       NOT NULL,
    USAGE_CODE                VARCHAR2(960)     NOT NULL,
    MODULE_ID                 VARCHAR2(128) ,
    APPLICATION_ID            NUMBER(18, 0)     NOT NULL,
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    SEED_DATA_SOURCE          VARCHAR2(2048)    NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    USAGE_ID                  NUMBER(18, 0) ,
    CONSUMER_ID               NUMBER(18, 0)     NOT NULL,
    SOURCE_ID                 NUMBER(18, 0)     NOT NULL,
    SOURCE_TYPE_CODE          VARCHAR2(120)     NOT NULL,
    CONSUMER_TYPE_CODE        VARCHAR2(120)     NOT NULL,
    ATTRIBUTE_LIST            BLOB          ,
    SORT_BY                   VARCHAR2(256) ,
    FILTER_CONDITION          VARCHAR2(4000),
    EXTRACT_REGISTRED_FLAG    VARCHAR2(4)   ,
    ENABLED_FLAG              VARCHAR2(4)       NOT NULL,
    USAGE_CODE                VARCHAR2(960)     NOT NULL,
    MODULE_ID                 VARCHAR2(128) ,
    APPLICATION_ID            NUMBER(18, 0)     NOT NULL,
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    SEED_DATA_SOURCE          VARCHAR2(2048)    NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    CONSTRAINT pk_fun_catalog_object_usages PRIMARY KEY (USAGE_ID, USAGE_ID)
);
